#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kirigami-gallery
Version: 20.12.0
Release:        %mkrel %{rel}
Summary:        Gallery application built using Kirigami
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org
Source:         https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  kf5-macros
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  qtgraphicaleffects5
BuildRequires:  qtquickcontrols25

Requires:       kirigami
Requires:       qtgraphicaleffects5
Requires:       qtquickcontrols25

%description
Example application which uses all features from kirigami,
including links to the sourcecode, tips on how to use the
components and links to the corresponding HIG pages and
code examples on cgit.

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang kirigamigallery --with-qt

%files -f kirigamigallery.lang
%license LICENSE.LGPL-2
%{_kf5_bindir}/kirigami2gallery
%{_kf5_applicationsdir}/org.kde.kirigami2.gallery.desktop


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655613
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643999
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633815
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627057
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614925
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604122
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596855
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584505
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568136
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559325
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540107
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513295
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466950
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457899
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446410
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424993
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390448
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387655
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382554
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375604
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365568
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356506
- New version 18.12.1

* Thu Dec 20 2018 daviddavid <daviddavid> 18.12.0-1.mga7
+ Revision: 1343318
- initial package kirigami-gallery

